from sqlalchemy import String, Column, Integer

from app.modle import Base
from app.utils.util import cn_now


class FloorConfiguration(Base):
    """楼层表"""

    __tablename__ = 'FloorConfiguration'

    id = Column(Integer, primary_key=True, autoincrement=True, nullable=False, unique=True, doc='id')
    name = Column(String, nullable=False, unique=False, index=False, doc='配置名称')
    location = Column(String, nullable=True, unique=False, index=False, doc='楼层位置')
    use = Column(String, nullable=True, unique=False, index=False, doc='楼层用途')
    remark = Column(String, nullable=True, unique=False, index=False, doc='备注')
    attachment = Column(String, nullable=True, unique=False, index=False, doc='附件')
    account = Column(String, nullable=True, unique=False, index=False, doc='上传账户')
    time = Column(String, nullable=True, unique=False, index=False, default=cn_now(), doc='上传时间')


class StaffConfiguration(Base):
    """人员配置"""

    __tablename__ = 'StaffConfiguration'

    id = Column(Integer, primary_key=True, autoincrement=True, nullable=False, unique=True, doc='id')
    name = Column(String, nullable=False, unique=False, index=False, doc='配置名称')
    personnel_type = Column(String, nullable=True, unique=False, index=False, doc='人员类别')
    responsibility_range = Column(String, nullable=True, unique=False, index=False, doc='职责范围')
    staff_list = Column(String, nullable=True, unique=False, index=False, doc='人员名单')
    remark = Column(String, nullable=True, unique=False, index=False, doc='备注')
